// This file is part of the project Pinsis-Portal.
//  Copyright (C),2018, by C3SL(Centro de Computação Científica e
//  Software Live)

//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <https://www.gnu.org/licenses/>.

import { BrowserModule } from '@angular/platform-browser';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { ChartModule } from 'angular-highcharts';
import { AppRoutingModule } from './app-routing.module';
import { HttpModule } from '@angular/http';
import { HttpClientModule } from '@angular/common/http';
import { environment } from '../environments/environment';

import highmaps from 'highcharts/modules/map.src';


import { AppComponent } from './app.component';
import { FooterComponent } from './footer/footer.component';
import { HeaderComponent } from './header/header.component';
import { MainPageComponent } from './main-page/main-page.component';
import { AboutComponent } from './about/about.component';
import { MapsPageComponent } from './maps-page/maps-page.component';
import { HospitalSelectorComponent } from './hospital-selector/hospital-selector.component';
import { GraphsPageComponent } from './graphs-page/graphs-page.component';
import { GraphElementComponent } from './graphs-page/graph-element/graph-element.component';
import { RegisterComponent } from './register/register.component';
import { DataApiService } from './data-api.service';
import { ReportService, MockReportService, WebserviceReportService } from './report.service';
import { LoginComponent } from './login/login.component';
import { EventsComponent } from './events/events.component';
import { SpecialEventsComponent } from './special-events/special-events.component';
import { AuthService } from './auth.service';


@NgModule({
  declarations: [
    AppComponent,
    FooterComponent,
    MainPageComponent,
    HeaderComponent,
    AboutComponent,
    GraphsPageComponent,
    GraphElementComponent,
    MapsPageComponent,
    HospitalSelectorComponent,
    GraphsPageComponent,
    GraphElementComponent,
    RegisterComponent,
    LoginComponent,
    EventsComponent,
    SpecialEventsComponent
  ],
  imports: [
    BrowserModule,
    BrowserAnimationsModule,
    AppRoutingModule,
    FormsModule,
    ChartModule,
    HttpClientModule,
    HttpModule
  ],
  providers: [
    DataApiService,
    { provide: 'ReportService', useClass: environment.reportServiceType },   AuthService
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }
