// This file is part of the project Pinsis-Portal.
//  Copyright (C),2018, by C3SL(Centro de Computação Científica e 
//  Software Live)

//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <https://www.gnu.org/licenses/>.

import { Injectable } from '@angular/core';
import * as $ from 'jquery';
import * as ol from 'openlayers';
import { environment } from '../environments/environment';

declare var da: any;



@Injectable()
export class DataApiService {
    
    //Agent
    public getAgentById(id,agents){
        var hospital = null;
        for(var i in agents){
            if(parseInt(agents[i].id) == parseInt(id)){
                hospital = agents[i];
            }
        }
        return hospital;
    }
    
    public loadAgents(callback, countie = null){
        var url = environment.webserviceUrl+"/api/data/listAgents";
        if(countie)
            url+="?countie="+countie;
        $.getJSON(url, function(result){
            callback(result);
        });
    }
    //
    
    
    //Uses
    
    
    
    /*
    config format:
    {
        "type": string 
        "y1": int, "y2": int, "m1": int,
        "m2": int, "d1": int, "d2": int
    }
    type field must be 'day' or 'month' and its default value is 'day'
    
    
    1 and 2 represents the intervale between dates (from 1 to 2)
    d = day; m = month; y = year;
    
    To use day, its necessary set month, and to use month its
    necessary to use year
    If this fields are invalid or omited, all entries will be returned
    */
    
    public loadData(callback, config){
        var type = "agentusesday";

        if(config.type == "month") type = "agentusesmonth";
        $.getJSON(environment.webserviceUrl+"/api/data/"+type, config, function(result){
            callback(result);
        });
    }
    //
    
    
    
    //Geolocation
    private cacheStates = null;
    public loadStates(callback){
        var da = this;
        
        if(da.cacheStates != null){
            callback(this.cacheStates);
            return;
        }
        
        $.getJSON(environment.webserviceUrl+"/geolocation/states.json", function(result){
            var features = result.states;
            da.cacheStates = features;
            callback(features);
        });
    }
    
    public selectCountiesFromState(state, callback){
        $.getJSON(environment.webserviceUrl+"/geolocation/"+state+"-cities.json",function(result){
            var features = result.counties;
            callback(features);
        });
    }
    
    public selectStateFeature(state, callback){
        $.getJSON(environment.webserviceUrl+"/geolocation/"+state+".json",function(x){
            callback(x);
        });
    }
    //
  

    constructor() { }

}
