/*
 * Copyright (C) 2018 Centro de Computacao Cientifica e Software Livre
 * Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
 *
 * This file is part of pinsis
 *
 * pinsis is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
 * USA.
*/
import { Component, OnInit } from '@angular/core';
import { DomSanitizer, SafeResourceUrl} from '@angular/platform-browser';

@Component({
  selector: 'app-kibana-graphs',
  templateUrl: './kibana-graphs.component.html',
  styleUrls: ['./kibana-graphs.component.scss']
})
export class KibanaGraphsComponent implements OnInit {
  selectedGraph: string;
  busca: boolean = false;
  constructor(public sanitizer: DomSanitizer) { }

  setGraph (graph: string) {
    this.selectedGraph = graph;
  }
  
  displayName (graph: string) {
    if (graph == 'dose')
      return 'Dose por tempo de transição';
    else if (graph == 'aceleradores')
      return 'Aceleradores lineares';
    else if (graph == 'manutencoes')
      return 'Manutenções de máquinas';
    else
      return 'Físicos médicos';
  }
  
  chartSrc () {
    if (this.selectedGraph == 'dose')
      return "https://pinsis.c3sl.ufpr.br/cnes/app/kibana#/dashboard/c79f78d0-945c-11e9-9682-239cda98af18?embed=true&_g=()";
    else if (this.selectedGraph == 'aceleradores')
      return "https://pinsis.c3sl.ufpr.br/cnes/app/kibana#/dashboard/e3a72ba0-5a09-11e9-8a9b-1b7e45f79ada?embed=true&_g=()";
    else if (this.selectedGraph == 'manutencoes')
      return "https://pinsis.c3sl.ufpr.br/cnes/app/kibana#/dashboard/63a45de0-9458-11e9-9682-239cda98af18?embed=true&_g=()";
    else
      return "https://pinsis.c3sl.ufpr.br/cnes/app/kibana#/dashboard/4b664930-5157-11e9-9067-0bfbe6f45b43?embed=true&_g=()";
  }

  ngOnInit() {
  }

}
